package cd.casic.plugin.exception;

import org.springframework.web.server.ServerWebInputException;

import java.net.URI;
import java.util.List;

/**
 * @description: TODO
 * @author: mianbin
 * @date: 2025/5/19 16:57
 * @version: 1.0
 */
public class YmalNotExistsException extends ServerWebInputException {
    public static final URI TYPE =
            URI.create("https://127.0.0.1:8090/probs/plugin-yaml-not-exists");

    /**
     * Instantiates a new Plugin dependencies not enabled exception.
     *
     * @param dependencies dependencies that are not enabled
     */
    public YmalNotExistsException(List<String> dependencies) {
        super("plugin.yaml. are not exists, please checking checking.",
                null,
                null,
                null,
                new Object[]{dependencies});
        setType(TYPE);
        getBody().setProperty("plugin.yaml", dependencies);
    }
}
